/*
 * IBM Confidential
 * OCO Source Materials
 * Rational ClearCase
 * (C) Copyright IBM Corp. 1992, 2008. All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
/*
 * MFS sysgen parameters
 */

#include <vfs.h>
#include <resource.h>

/*
 * Major device number for the MFS 
 */

dev_t mvfs_major = 200;

#if !defined __ia64 && !defined(_KERNEL)
#include <_types.h>
#endif
#ifdef	_KERNEL_BUILD
#include "../h/user.h"
#include "../h/vnode.h"
#else
#if ATRIA_HPUX_VER < 113100
#include <sys/user.h>
#endif
#include <sys/vnode.h>
#endif
#if ATRIA_HPUX_VER >= 113100
#include <sys/kthread.h>
#include <sys/proc.h>
#include <sys/scall_kernprivate.h>
#endif

/*
 * Definitions
 */

#define	ATRIA_PRUSAGE(p)	((p)->p_rusagep)


struct kthread *
mvfs_get_kthread()
{
#if ATRIA_HPUX_VER < 113100
    return(u.u_kthreadp);
#else
    return(kthreadp_self());
#endif
}



/*
 * MVFS_GET_UPROCP - get process pointer of current process
 */

struct proc *
mvfs_get_uprocp()
{
#if ATRIA_HPUX_VER < 113100
    return(u.u_procp);
#else
    return(PROCP_SELF());
#endif
}

/*
 * MVFS_GET_UERROR - get error code of current process
 */

int
mvfs_get_uerror()
{
#if ATRIA_HPUX_VER < 113100
    return(u.u_error);
#else
    return(scall_error());
#endif
}

/*
 * MVFS_SET_UERROR - set error code of current process
 */

void
mvfs_set_uerror(error)
{
#if ATRIA_HPUX_VER < 113100
    u.u_error = error;
#else
    set_scall_error(error);
#endif
}
